/*  Inti: Integrated Foundation Classes
 *  Copyright (C) 2002-2003 The Inti Development Team.
 *
 *  colorselection_p.h - Private interface
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef INTI_GTK_COLOR_SELECTION_CLASS_H
#define INTI_GTK_COLOR_SELECTION_CLASS_H

#include <inti/gtk/private/box_p.h>
#include <inti/gtk/private/dialog_p.h>

namespace Inti {

namespace Gtk {

/*  Gtk::ColorSelectionClass
 */

class ColorSelectionClass
{
public:
	static void init(GtkColorSelectionClass *g_class);

	static GType get_type();

	static void* create();

	static void color_changed_proxy(GtkColorSelection *color_selection);
};

/*  Gtk::ColorSelectionDialogClass
 */

class ColorSelectionDialogClass
{
public:
	static void init(GtkColorSelectionDialogClass *g_class);

	static GType get_type();

	static void* create();
};

} // namespace Gtk

} // namespace Inti

#endif // INTI_GTK_COLOR_SELECTION_CLASS_H

